From: Dmitry Bogatov <KAction@debian.org>
Date: Sun, 12 May 2019 05:32:28 +0000
Subject: Fix segfault in checkpassword

Forwarded: not-needed
Last-Update: 2019-01-07

Implicit declaration of crypt() due missing include of <crypt.h> caused
pointer value, returned by crypt() to be mangled and invalid memory
accessed.
Last-Update: 2019-01-07
---
 checkpassword.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/checkpassword.c b/checkpassword.c
index edb7ce0..3b19f9e 100644
--- a/checkpassword.c
+++ b/checkpassword.c
@@ -1,9 +1,13 @@
+#define _DEFAULT_SOURCE
 #define _XOPEN_SOURCE
 #include <string.h>
 #include <unistd.h>
 #include <pwd.h>
 #include <shadow.h>
 #include <stdio.h>
+#include <sys/types.h>
+#include <crypt.h>
+#include <grp.h>
 #include <alloca.h>
 #ifdef __dietlibc__
 #include <write12.h>
